import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from 'uview-ui'
import * as utils from 'utils/utils.js'
Vue.config.productionTip = false
Object.keys(utils).forEach(key => {
  Vue.prototype[key] = utils[key]
})
Vue.prototype.$onLaunched = new Promise(resolve => {
  Vue.prototype.$isResolve = resolve
})
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif